. ../config/patch.info

M=`uname -m|grep i686`
if [ "x$M" = "x" ]; then

CVER=`cat /etc/Briker/VERSION|cut -d" " -f1`
if [ "$CVER" = "$DEPS_BASE_VERSION" ]; then

clear

echo
echo "You are about to update your Briker version 2.0.4"
echo
echo "Current firmware: $CURRENT_FIRMWARE"
echo "Upgrade firmware: $UPGRADE_FIRMWARE"
echo
echo "========================================================================="
echo
echo "Press [Enter] to continue or press [Ctrl+C] to cancel"
read
echo "========================================================================="
echo
echo "You have started the firmware updates, please wait..."
echo
echo "WARNING: DO NOT HIT CTRL+C OR DO ANYTHING TO CANCEL THIS PROCESS"
sleep 5
echo
echo
echo "Updating, please wait..."
echo

cp -rR ../packages/* / >/dev/null 2>&1
chown asterisk.asterisk /var/www/apps/ippbx/admin/modules/core/agi-bin/dialparties.agi >/dev/null 2>&1
chown asterisk.asterisk /var/opt/ippbx/var/lib/asterisk/agi-bin/dialparties.agi >/dev/null 2>&1
ldconfig >/dev/null 2>&1
depmod -a >/dev/null 2>&1
sleep 2

echo
echo "You must visually confirmed that theres NO ERROR messages printed"
echo
echo "Please contact Briker support when you confirmed error messages"
echo
echo "========================================================================="
echo
echo "Your Briker 2.0.4 has been updated with firmware $UPGRADE_FIRMWARE"
echo
echo "Please Apply Rules from Web Administration"

else
echo
echo "Current Briker version is $CVER"
echo
echo "This patch file will work only with Briker version 2.0.4"
echo
fi

else
echo
echo "Current platform is not 64-bit"
echo
echo "This patch file will work only with 64-bit platform"
echo
fi

exit 0
